MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000024Open CASCADE[OCCT] OCCT:Shape Healingpublic2001-11-21 14:272006-06-29 09:15
Reporterrln 
Assigned Tosln 
PrioritynoneSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSWindows NTOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.0.0 
Summary0000024: Recorded modifications are lost when converting from ShapeBuild_ReShape into ShapeProcess_ShapeContext and back
DescriptionRLN, November 21:
Problem initially detected on 4.0.
Though record of modifications in those two classes seem to
be equivalent, it is not.
To reproduce the problem use Shape Healing Demo
(http://info.nnov.matra-dtv.fr/~det/Projects/SHDemo/index.ht [^]
ml).

Load Data/SplitAngle/cylinder.brep.
Use menu "Upgrade / Split revolved surfaces", select lateral
cylindrical surfaces and chose "Selected faces" in the
dialog box.
Result is correct - connectivites are preserved.
In this case only ShapeBuild_ReShape is used.

Reload the shape. Use menu "Shape processing", select only
one operator SplitAngle and also chose "Selected faces".
Select the same face.
Result is incorrect - connectivities are lost.
In this case ShapeBuild_ReShape is converted into
ShapeProcess_ShapeContext (inside shape processing) and then
back (in the application). Applying modifications with
method ShapeBuild_ReShape::Apply loses modifications.

IMProvement request - extend ShapeProcess_ShapeContext to
return modifications in the form BRepTools_ReShape.
TagsNo tags attached.
Test case number
Attached Fileszip file icon Bug-21-22-24.ZIP (10,821 bytes) 2001-12-20 10:16

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2001-11-22 15:53 bugmaster Status new => assigned
2001-11-22 15:53 bugmaster Assigned To bugmaster => pdn
2001-12-20 14:05 pdn Assigned To pdn => sln
2002-03-06 13:28 bugmaster Status assigned => verified
2002-07-17 17:10 bugmaster Status verified => closed
2002-07-17 17:10 bugmaster Resolution @0@ => fixed
2011-08-02 11:30 bugmaster Category OCCT:SHG => OCCT:Shape Healing


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker